Bug Hunting Session
Bug 30983 - Text in frame anchored to top margin not correctly exported to RTF
Summary: Text in frame anchored to top margin not correctly exported to RTF
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2010-10-19 04:52 UTC by sophie
Modified: 2015-12-17 11:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test doc containing the frame in top margin (59.00 KB, application/msword)
2010-10-19 04:52 UTC, sophie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sophie 2010-10-19 04:52:12 UTC
Created attachment 39530 [details]
Test doc containing the frame in top margin

Hi, 
This .doc document contains a frame with text anchored to character in top margin. When exporting it to RTF, only the last line is displayed. I'm under Ubuntu and Libo beta2.
Comment 1 Muthu 2010-10-20 06:49:23 UTC
One for cedric?
Comment 2 Jean-Baptiste Faure 2011-12-19 03:59:07 UTC
Tested in LO 3.5.0 beta-1+ (LibreOffice 3.5.0beta1+ Build ID: 418dcec-7f15fca-8eae9f1-ca8e46d-5bcbce4) : the frame is there but its height is ~0 and can be manually repaired.

Best regards. JBF
Comment 3 Jean-Baptiste Faure 2012-03-24 04:48:13 UTC
When exported to RTF with LO 3.5.3 rc0+ I get the same thing as with old RTF filter. 
When importing the RTF file in LO 3.5.3 rc0+ the layout is wrong, the name of the person is truncated. Abiword and Wordpad (under Wine) give something different. So it seems there is an import problem too.
In the doc file line spacing is set "at least" and becomes "exactly" when the RTF is imported. So the name of the person is truncated.

Best regards. JBF
Comment 4 Roman Eisele 2012-05-04 09:14:18 UTC
This is (primarily) a Writer issue, therefore changed 'Component' field accordingly.

The Version of the original report must have been 3.3b2, therefore added Version entry.
Comment 5 Miklos Vajna 2013-03-26 17:00:54 UTC
Taking from Cédric.

Just checked with current master, the frame contents is exported correctly, but the position of the frame is incorrect: the horizontal / vertical position is relative to 'page text area', not 'page'. I'll fix this in a bit.
Comment 6 Miklos Vajna 2013-03-27 10:07:08 UTC
Wow, just noticed this is broken since 2000. Both the importer and the exporter (and some untouched sw bits) need fixing.
Comment 7 Commit Notification 2013-03-27 10:08:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4845db4260db70cb3aaf03758cb4a1ca5fa88ed

fdo#30983 RTF filter: fix handling of RTF_PVPG and RTF_PHPG



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2013-03-27 10:46:06 UTC
4-0 review: https://gerrit.libreoffice.org/3081
Comment 9 Commit Notification 2013-03-29 14:31:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7ea9ac9d5f572b647f7e83ce9ae109b773052ba&h=libreoffice-4-0

fdo#30983 RTF filter: fix handling of RTF_PVPG and RTF_PHPG


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 11:51:01 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]